| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwmgXML.cpp File Reference

Reads and writes micrograph XML files. More...

`#include "mg_tags.h"`
`#include "mg_processing.h"`
`#include "rwmg.h"`
`#include "file_util.h"`
`#include "linked_list.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
int | read_project_xml (Bstring &filename, Bproject *project)
| Reading micrograph parameters from XML files. More...
int | write_project_xml (Bstring &filename, Bproject *project, int mg_select, int rec_select)
| Writing micrograph parameters to a XML file. More...

## Variables
int | verbose

## Detailed Description

Reads and writes micrograph XML files.

Author
  Bernard Heymann

Date
  Created: 20050920
  Modified: 20191016

Definition in file rwmgXML.cpp.

## Function Documentation

## ◆ read_project_xml()

int read_project_xml | ( | Bstring & | filename,
|  | Bproject * | project
| ) |  |

Reading micrograph parameters from XML files.

Parameters

  &filename | file name.
  *project | initialized project structure.

Returns
  int error code (<0 means failure).

Definition at line 144 of file rwmgXML.cpp.

## ◆ write_project_xml()

int write_project_xml | ( | Bstring & | filename,
|  | Bproject * | project,
|  | int | mg_select,
|  | int | rec_select
| ) |  |

Writing micrograph parameters to a XML file.

Parameters

  &filename | file name.
  *project | project structure.
  mg_select | flag to only write selected micrographs.
  rec_select | flag to only convert selected reconstructions.

Returns
  int error code (<0 means failure).

Definition at line 258 of file rwmgXML.cpp.

## Variable Documentation

## ◆ verbose

int verbose